{
  python3Packages,
  fetchPypi,
  xonsh
}:
python3Packages.buildPythonPackage rec {
  pname = "svd2py";
  version = "1.0.2";
  format = "pyproject";

  src = fetchPypi {
    inherit pname version;
    hash = "sha256-V90CD13Fb9kPqZ3mZn3+zzCAgaMR2kX/pBg+dOMMhK0=";
  };

  nativeBuildInputs = with python3Packages; [
    setuptools
    poetry-core
  ];

  buildInputs = with python3Packages; [
    click
    pyyaml
  ];
}
